#
# spec file for package rarpd
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           rarpd
BuildRequires:  automake
BuildRequires:  libnet-devel
BuildRequires:  libpcap-devel
License:        MIT
Group:          Productivity/Networking/System
Version:        1.1
Release:        754.2
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-libnet.diff
Patch1:         %{name}-%{version}-printf.diff
Patch2:         %{name}-%{version}-autoconf.diff
Patch3:         %{name}-%{version}-fix-packet-growth-bug246891.diff
Url:            ftp://ftp.dementia.org/pub/net-tools/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Reverse Address Resolution Protocol Daemon

%description
Rarpd listens on the Ethernet for broadcast packets asking for reverse
address resolution.  These packets are sent by hosts at boot time to
find out their IP addresses.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
rm install.sh
aclocal -I cmulocal
automake -afc --foreign
autoconf -I cmulocal
CFLAGS="$RPM_OPT_FLAGS -Wall -fPIE -pie" \
	./configure \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--with-libnet=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING TODO
%doc %{_mandir}/man?/*
%{_sbindir}/rarpd

%changelog
* Tue Mar  6 2012 aj@suse.de
- Remove obsolete suse_update_config call.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Nov 22 2010 coolo@novell.com
- changed libnet to libnet-devel in BuildRequires
* Thu Jul 26 2007 prusnak@suse.cz
- changed libpcap to libpcap-devel in BuildRequires
* Wed Apr 18 2007 nadvornik@suse.cz
- fixed unlimited packet growth [#246891]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 20 2005 ro@suse.de
- build with fPIE/pie
* Tue Feb 24 2004 mjancar@suse.cz
- send correct server address in the response (#34574)
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Jul 28 2003 mjancar@suse.cz
- fixes for updated libnet
* Thu Aug  9 2001 ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Sat Jan 13 2001 vinil@suse.cz
- initial release (v1.1)
